huff_code_s Struct Reference

## Data Fields

int16 | refcount
uint8 | maxbits
uint8 | type
uint32 * | firstcode
uint32 * | numl
huff_codeword_t ** | syms
hash_table_t * | codewords
FILE * | fh
bit_encode_t * | be
int | boff

## Detailed Description

Definition at line 71 of file huff_code.c.

## Field Documentation

## be

bit_encode_t* huff_code_s::be

Definition at line 80 of file huff_code.c.

## boff

int huff_code_s::boff

Definition at line 81 of file huff_code.c.

## codewords

hash_table_t* huff_code_s::codewords

Definition at line 78 of file huff_code.c.

## fh

FILE* huff_code_s::fh

Definition at line 79 of file huff_code.c.

## firstcode

uint32* huff_code_s::firstcode

Definition at line 75 of file huff_code.c.

## maxbits

uint8 huff_code_s::maxbits

Definition at line 73 of file huff_code.c.

## numl

uint32* huff_code_s::numl

Definition at line 76 of file huff_code.c.

## refcount

int16 huff_code_s::refcount

Definition at line 72 of file huff_code.c.

## syms

huff_codeword_t** huff_code_s::syms

Definition at line 77 of file huff_code.c.

## type

uint8 huff_code_s::type

Definition at line 74 of file huff_code.c.

The documentation for this struct was generated from the following file:

- src/libsphinxbase/util/huff_code.c